> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boundlesspay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create A Conversion

> Use this to convert one currency to another



## OpenAPI

````yaml POST /currencies/conversion
openapi: 3.1.0
info:
  title: BoundlessPay API
  version: 1.0.0
servers: []
security: []
paths:
  /currencies/conversion:
    post:
      description: Use this to convert one currency to another
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - from
                - to
                - amount
              properties:
                from:
                  type: string
                  description: Source currency code
                  example: XRP
                to:
                  type: string
                  description: Target currency code
                  example: NGN
                amount:
                  type: integer
                  description: Amount to convert
                  example: 1
      responses:
        '200':
          description: Conversion successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Operation successful
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        from:
                          type: string
                          example: XRP
                        to:
                          type: string
                          example: NGN
                        fromAmount:
                          type: integer
                          example: 1
                        toAmount:
                          type: number
                          example: 0.85
                        rate:
                          type: number
                          example: 0.85
                        value:
                          type: number
                          example: 0.85
                        fromAmountInUSD:
                          type: number
                          example: 1.1764705882352942
                        fromAmountInUSDRate:
                          type: number
                          example: 1.1764705882352942
                        id:
                          type: string
                          example: j8bq9pw3ir
                        expiration:
                          type: integer
                          example: 60
                  meta:
                    type: object
                    properties:
                      timestamp:
                        type: string
                        format: date-time
                        example: '2026-03-20T13:36:18Z'
      security:
        - ApiKeyAuth: []
components: {}

````